require "defines"

function starting_inventory(player)
	
	player.insert{name="iron-plate", count=50}
					
	player.insert{name="steel-axe", count=3}
	player.insert{name="repair-pack", count=50}

	player.insert{name="burner-inserter", count=50}
	player.insert{name="basic-inserter", count=30}
	player.insert{name="basic-transport-belt", count=200}
	player.insert{name="small-electric-pole", count=20}

	player.insert{name="submachine-gun", count=1}
	player.insert{name="piercing-bullet-magazine", count=50}  
	player.insert{name="combat-shotgun", count=1}
	player.insert{name="piercing-shotgun-shell", count=50}  
	player.insert{name="rocket-launcher", count=1}  
	player.insert{name="rocket", count=50}

	player.insert{name="burner-mining-drill", count = 20}
	player.insert{name="stone-furnace", count = 15}  

	player.insert{name="power-armor", count = 1}
	player.insert{name="fusion-reactor-equipment", count = 1}
	player.insert{name="energy-shield-mk2-equipment", count = 2}
	player.insert{name="personal-roboport-equipment", count = 1}
	player.insert{name="basic-exoskeleton-equipment", count = 1}
	player.insert{name="car", count = 1}
	player.insert{name="construction-robot", count = 10}
	player.insert{name="blueprint", count = 2}
	player.insert{name="deconstruction-planner", count = 1}
	player.insert{name="electronic-circuit", count = 20}
end

function init()
	if not global.deadPlayers then
		global.deadPlayers = {}
		end
	create_forces()
end

game.on_init(init)
game.on_load(init)


game.on_event(defines.events.on_player_created, function(event)
	local player = game.get_player(event.player_index)
	--local force = player.force

			
			
		if player.force == game.forces.player then
		player.gui.center.add{type = "button", caption = "Join Blue Team" .. " " ..global.bluemembers, name = "blue"}.style.font_color = {b = 1, r= 0.6, g = 0.6}
		player.gui.center.add{type = "button", caption = "Join Red Team" .. " " ..global.redmembers, name = "red"}.style.font_color = {b = 0.3, r= 1, g = 0.3}
			end
			end)
			
		
   
	
function create_forces()
	if game.forces.blue ==nil then
		game.create_force("blue")	
		global.bluemembers = 0
		game.forces.blue.logistic_robot_speed_modifier = 3
		game.forces.blue.technologies["automated-construction"].researched = true
		
		game.create_force("red")	
		global.redmembers = 0	
		game.forces.red.logistic_robot_speed_modifier = 3	
		game.forces.red.technologies["automated-construction"].researched = true
		
		game.forces.player.disable_research()
	end
end
	
function give_income()
	for i, player in ipairs(game.players) do
		game.players[i].insert({name = "coin" , count = 100})						
	end
end

		
game.on_event(defines.events.on_gui_click, function(event)
 
	local player = game.players[event.player_index]
	if player.gui.center.blue ~= nil then
	   if (event.element.name == "blue") then
			
	     player.print("You have Joined Blue Team")
		 player.teleport({-1037,-467})
		 player.force = game.forces.blue
		 player.gui.center.red.destroy()	 
		 player.gui.center.blue.destroy()
		 player.color = {b = 1, r = 0.3, g = 0.3}
		 
	--	 player.insert({name = "coin" , count = 10000})
		 global.bluemembers = global.bluemembers + 1

		 starting_inventory(player)

		end
	end
   
   
	if player.gui.center.red ~= nil then
		if (event.element.name == "red") then

			player.print("You have Joined Red Team")
			player.teleport({974,956})
			player.force = game.forces.red
			player.gui.center.red.destroy()	 
			player.gui.center.blue.destroy()
			player.color = {b = 0.3, r = 1, g = 0.3}

			--	 player.insert({name = "coin" , count = 10000})
			global.redmembers = global.redmembers + 1

			starting_inventory(player)

		end
	end
   
 end)
 
 game.on_event(defines.events.on_tick, function(event)

	for playerIndex, value in pairs(global.deadPlayers) do
		local player = game.players[playerIndex]
   		if player.character then
		
			if player.force == game.forces.red then
   				player.teleport({974,956})

		 		starting_inventory(player)

			end

			if player.force == game.forces.blue then
   				player.teleport({-1037,-467})

		 		starting_inventory(player)
					
			end			

   			global.deadPlayers[playerIndex] = nil
   		end
	end

end)
		




game.on_event(defines.events.on_entity_died, function(event)
	if event.entity.type == "player" then
  		
			for index, player in ipairs(game.players) do
			if not player.character and not global.deadPlayers[index] then
			global.deadPlayers[index] = true
	
			end
			
     
      end
	
end
end)

		
		
